Error
A valid request URL is required to generate request examples{
"updateShipmentsByPk": {
"actualArrivalDate": null,
"actualDepartureDate": null,
"carrier": {
"id": 123,
"name": "<string>"
},
"dueDate": "<unknown>",
"id": 123,
"plannedArrivalDate": null,
"plannedDepartureDate": null,
"reference": "<string>",
"step": {
"id": 123,
"name": "<string>"
},
"trackingLink": "<string>"
}
}Shipments
Update a shipment
Updates a shipment.
PUT
/
shipments
/
{id}
Error
A valid request URL is required to generate request examples{
"updateShipmentsByPk": {
"actualArrivalDate": null,
"actualDepartureDate": null,
"carrier": {
"id": 123,
"name": "<string>"
},
"dueDate": "<unknown>",
"id": 123,
"plannedArrivalDate": null,
"plannedDepartureDate": null,
"reference": "<string>",
"step": {
"id": 123,
"name": "<string>"
},
"trackingLink": "<string>"
}
}Updates a shipment.
Request body
{
"dueDate": "2026-08-28",
"plannedDepartureDate": "2026-08-27T08:00:00+02:00",
"actualDepartureDate": "2026-08-27T08:15:00+02:00",
"plannedArrivalDate": "2026-08-28T10:00:00+02:00",
"actualArrivalDate": "2026-08-28T10:20:00+02:00",
"trackingLinkUrl": "https://tracking.example/EXP-0042",
"carrierOrganizationId": 9,
"processStepId": 18
}
Headers
API token from your Bonx space.
Path Parameters
"id" is required as part of the path
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Response
Show child attributes
Show child attributes
Was this page helpful?